# Created by pyp2rpm-3.2.1
%global pypi_name pyp2rpm

Name:           %{pypi_name}
Version:        3.3.5
Release:        %mkrel 1
Summary:        Convert Python packages to RPM SPECFILES
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/pyp2rpm
Source0:	https://github.com/fedora-python/pyp2rpm/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:		pyp2rpm-mageia.patch

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flexmock) >= 0.9.3
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(pytest)
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(click)
Requires:       rpmdevtools
Provides:       python3-%{pypi_name} = %{version}-%{release}
Obsoletes:      python3-%{pypi_name} < 3.3.0
# Obsolete python-pyp2rpm also as it provides /usr/bin/pyp2rpm
Obsoletes:      python-pyp2rpm < 3.3.0

%description
Convert Python packages to RPM SPECFILES. The packages can be downloaded from
PyPI and the produced SPEC is in line with Fedora Packaging Guidelines or
Mageia Python Policy.Users can provide their own templates for rendering the
package metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much information
though).


%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}/%{_bindir}/pyp2rpm %{buildroot}/%{_bindir}/pyp2rpm-%{python3_version}
ln -sr %{buildroot}/%{_bindir}/pyp2rpm-%{python3_version} %{buildroot}/%{_bindir}/pyp2rpm-3
ln -sr %{buildroot}/%{_bindir}/pyp2rpm-3 %{buildroot}/%{_bindir}/pyp2rpm

# TODO : Add later.
# %%check
# %%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{_bindir}/pyp2rpm
%{_bindir}/pyp2rpm-3
%{_bindir}/pyp2rpm-%{python3_version}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info/


%changelog
* Tue Nov 24 2020 shlomif <shlomif> 3.3.5-1.mga8
+ Revision: 1648971
- New version 3.3.5

* Thu Apr 09 2020 kekepower <kekepower> 3.3.4-1.mga8
+ Revision: 1565875
- Update to version 3.3.4

* Sun Feb 16 2020 umeabot <umeabot> 3.3.3-2.mga8
+ Revision: 1530998
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 3.3.3-1.mga8
+ Revision: 1438362
- new version 3.3.3
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 3.3.2-5.mga7
+ Revision: 1352083
- rebuild with python 3.7

* Mon Jan 07 2019 wally <wally> 3.3.2-4.mga7
+ Revision: 1350610
- another rebuild for python3.7

* Sun Jan 06 2019 shlomif <shlomif> 3.3.2-3.mga7
+ Revision: 1350144
- rebuild for py3.7
+ wally <wally>
- require rpmdevtools

* Thu Sep 20 2018 umeabot <umeabot> 3.3.2-2.mga7
+ Revision: 1288187
- Mageia 7 Mass Rebuild

* Fri May 11 2018 shlomif <shlomif> 3.3.2-1.mga7
+ Revision: 1228322
- New version 3.3.2

* Tue Mar 20 2018 ngompa <ngompa> 3.3.1-1.mga7
+ Revision: 1210716
- Update to v3.3.1, drop upstreamed patch

* Sat Mar 17 2018 ngompa <ngompa> 3.3.0-2.mga7
+ Revision: 1210142
- Add patch proposed upstream to update template to match policy for Mageia 7

* Fri Dec 22 2017 wally <wally> 3.3.0-1.mga7
+ Revision: 1183790
- new version 3.3.0
- obsolete pkgs coming from python-pyp2rpm src.rpm
- add patch from python-pyp2rpm to default mageia packages

* Thu Oct 05 2017 daviddavid <daviddavid> 3.2.2-4.mga7
+ Revision: 1168971
- add missing BR on python3dist(pytest-runner) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.2.2-3.mga7
+ Revision: 1135293
- Rebuild for python 3.6

* Mon Jul 17 2017 shlomif <shlomif> 3.2.2-2.mga7
+ Revision: 1124519
- update to git master

* Thu Mar 23 2017 shlomif <shlomif> 3.2.2-1.mga6
+ Revision: 1094650
- Packaging fixes
- Importing pyp2rpm

